<?php

namespace app\admin\model;

use think\Model;


class Orderroad extends Model
{

    

    

    // 表名
    protected $table = 'order_road';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'roadtype_text',
        'chufatime_text',
        'hexiao_status_text',
        'hexiao_time_text'
    ];
    

    
    public function getRoadtypeList()
    {
        return ['1' => __('Roadtype 1'), '2' => __('Roadtype 2')];
    }

    public function getHexiaoStatusList()
    {
        return ['0' => __('Hexiao_status 0'), '1' => __('Hexiao_status 1')];
    }


    public function getRoadtypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['roadtype']) ? $data['roadtype'] : '');
        $list = $this->getRoadtypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getChufatimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['chufatime']) ? $data['chufatime'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }


    public function getHexiaoStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['hexiao_status']) ? $data['hexiao_status'] : '');
        $list = $this->getHexiaoStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getHexiaoTimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['hexiao_time']) ? $data['hexiao_time'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }

    protected function setChufatimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }

    protected function setHexiaoTimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }


    public function order()
    {
        return $this->belongsTo('Order', 'order_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function user()
    {
        return $this->belongsTo('User', 'hexiao_uid', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function coach()
    {
        return $this->belongsTo('Coach', 'hexiao_coachid', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
